
// TeeChart2014MicroDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TeeChart2014Micro.h"
#include "TeeChart2014MicroDlg.h"
#include "afxdialogex.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


// CTeeChart2014MicroDlg dialog



CTeeChart2014MicroDlg::CTeeChart2014MicroDlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(CTeeChart2014MicroDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTeeChart2014MicroDlg::DoDataExchange(CDataExchange* pDX)
{
  CDialogEx::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_MFCLINK_OPENFOLDER, m_LinkOpenFolder);
  DDX_Control(pDX, IDC_EDIT_FOLDER_PATH, m_EditFoderPath);
}

BEGIN_MESSAGE_MAP(CTeeChart2014MicroDlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
  ON_BN_CLICKED(IDOK, &CTeeChart2014MicroDlg::OnBnClickedOk)
  ON_BN_CLICKED(ID_GENERATE_GRAPHS, &CTeeChart2014MicroDlg::OnBnClickedGenerateGraphs)
END_MESSAGE_MAP()


// CTeeChart2014MicroDlg message handlers

BOOL CTeeChart2014MicroDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
  m_EditFoderPath.SetWindowTextW( _T("C:\\tmp\\TeeChart2014Micro\\") );
  UpdateData(FALSE);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTeeChart2014MicroDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CTeeChart2014MicroDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CTeeChart2014MicroDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}



void CTeeChart2014MicroDlg::OnBnClickedOk()
{
  CDialogEx::OnOK();
}

void CTeeChart2014MicroDlg::OnBnClickedGenerateGraphs()
{
  UpdateData();

  CString sTestFolder;
  m_EditFoderPath.GetWindowTextW(sTestFolder);
  CTeeChart_MicroDemo microChart;

  microChart.GenerateChart(eCHART_Pie, sTestFolder + _T("Pie.jpg"), this);
  microChart.GenerateChart(eCHART_Bar, sTestFolder + _T("Bar.jpg"), this);
  microChart.GenerateChart(eCHART_Donut, sTestFolder + _T("Donut.jpg"), this);
  microChart.GenerateChart(eCHART_Line, sTestFolder + _T("Line.jpg"), this);

  m_LinkOpenFolder.SetURL(sTestFolder);
}