#pragma once

#include "TChart/tchart.h"

enum EChartType {eCHART_Donut, eCHART_Pie, eCHART_Line, eCHART_Bar};

#define COLORREF_White                 RGB(0xFF, 0xFF, 0xFF)
#define COLORREF_LightGray             RGB(0xC0, 0xC0, 0xC0)
#define COLORREF_Gray                  RGB(0x80, 0x80, 0x80)
#define COLORREF_DarkGray              RGB(0x40, 0x40, 0x40)
#define COLORREF_Black                 RGB(0x00, 0x00, 0x00)
#define COLORREF_LightRed              RGB(0xFF, 0x40, 0x00)
#define COLORREF_Red                   RGB(0xFF, 0x00, 0x00)
#define COLORREF_DarkRed               RGB(0xC0, 0x00, 0x00)
#define COLORREF_LightGreen            RGB(0x00, 0xFF, 0x00)
#define COLORREF_Green                 RGB(0x00, 0xC0, 0x00)
#define COLORREF_DarkGreen             RGB(0x00, 0x80, 0x00)
#define COLORREF_LightBlue             RGB(0x00, 0xC0, 0xFF)
#define COLORREF_Blue                  RGB(0x00, 0x00, 0xFF)
#define COLORREF_DarkBlue              RGB(0x00, 0x00, 0xC0)
#define COLORREF_Yellow                RGB(0xFF, 0xFF, 0x00)
#define COLORREF_Orange                RGB(0xFF, 0x80, 0x00)
#define COLORREF_Purple                RGB(0xFF, 0x00, 0xC0)
#define COLORREF_Violet                RGB(0x00, 0x40, 0x80)
#define COLORREF_Magenta               RGB(0x80, 0x00, 0x80)
#define COLORREF_Brown                 RGB(0x40, 0x40, 0x00)

#define COLORS_GRIDBAND_ALPHA 0
#define COLORS_GRIDBAND1 RGB(0xEE, 0xEE, 0xEE)
#define COLORS_GRIDBAND2 RGB(0xFF, 0xFF, 0xFF)

class CTeeChart_MicroDemo
{
public:
  bool GenerateChart(EChartType type, LPCTSTR sOutFile, CWnd* pParentWindow);

private:
  bool InitChart(CTChart& rTChart, EChartType type);
  bool SetChart(CTChart& rTChart, EChartType type);
  bool AddColorBand(CTChart& rTChart, double dStartValue, double dEndValue, COLORREF color, int alpha);
  bool AddGridBand(CTChart& rTChart, COLORREF colorBand1, COLORREF colorBand2, int alpha);
};

